---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "20"
  version: 9070020251219062939
  context: 8cf767d6
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 8a15e5e25991c8ac4423257a3f98548f6e4901ac
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: d491f7bdce553a5be24c2ab3164ba56e2f8f3d09
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 053f32a1bfc32a66617446b9545378c8585485d2
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:20.19.5-1.module_el9.6.0+189+c655c536.src
    - nodejs-1:20.19.5-1.module_el9.6.0+189+c655c536.x86_64
    - nodejs-debuginfo-1:20.19.5-1.module_el9.6.0+189+c655c536.x86_64
    - nodejs-debugsource-1:20.19.5-1.module_el9.6.0+189+c655c536.x86_64
    - nodejs-devel-1:20.19.5-1.module_el9.6.0+189+c655c536.x86_64
    - nodejs-docs-1:20.19.5-1.module_el9.6.0+189+c655c536.noarch
    - nodejs-full-i18n-1:20.19.5-1.module_el9.6.0+189+c655c536.x86_64
    - nodejs-nodemon-0:3.0.1-1.module_el9.5.0+125+8dc38870.noarch
    - nodejs-nodemon-0:3.0.1-1.module_el9.5.0+125+8dc38870.src
    - nodejs-nodemon-0:3.0.1-1.module_el9.6.0+162+8dc602e5.noarch
    - nodejs-nodemon-0:3.0.1-1.module_el9.6.0+162+8dc602e5.src
    - nodejs-packaging-0:2021.06-5.module_el9.7.0+195+46a5ed00.noarch
    - nodejs-packaging-0:2021.06-5.module_el9.7.0+195+46a5ed00.src
    - nodejs-packaging-bundler-0:2021.06-5.module_el9.7.0+195+46a5ed00.noarch
    - npm-1:10.8.2-1.20.19.5.1.module_el9.6.0+189+c655c536.x86_64
...
